package conv

import (
	"gadmin/package/gmdata"
	"gadmin/utility"
	"github.com/sirupsen/logrus"
)

var Chapter = new(cChapter)

type cChapter struct {
	version string
	lst     []*gmdata.Role
}

func (j *cChapter) Extract(version string) {
	logrus.Info("cChapter Extract...")
	j.setVersion(version).save()
}

func (j *cChapter) setVersion(version string) *cChapter {
	j.version = version
	return j
}

func (j *cChapter) save() {
	// 下载的文件列表
	downs := []string{"LevelList.json"}
	for _, fileName := range downs {

		// 保存文件
		url := utility.PullJsonAddr(j.version, fileName)
		dstFileName := utility.LocalJsonPath(j.version, fileName)
		if err := HttpRequestToFile(url, dstFileName); err != nil {
			logrus.Info("HttpRequestToFile err:%+v", err)
			return
		}
	}
}
